All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class PropertySheet

    com.sas.visuals.PropertySheet

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class PropertySheet

implements java.beans.PropertyChangeListener, java.awt.event.MouseListener

This is an internal class used by the component framework.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `alwaysShowControls`
`protected java.lang.Object` | `bean`
`protected java.util.Hashtable` | `editorAssoc`
`protected java.util.Vector` | `hostsList`
`protected boolean` | `inPropertyChange`
`protected java.util.Hashtable` | `labelAssoc`
`protected Panel` | `panel`

Fields inherited from class com.sas.awt.ScrollPane
`noPrevAdd, RB_KEY`

Constructor Summary
`PropertySheet()`

Method Summary
`boolean` | `getAlwaysShowControls()`
`java.lang.Object` | `getObject()`
`static Frame` | `getPropertySheet(java.lang.Object bean)` Creates a PropertySheet for the specified bean.
`void` | `mouseClicked(java.awt.event.MouseEvent evt)`
`void` | `mouseEntered(java.awt.event.MouseEvent evt)`
`void` | `mouseExited(java.awt.event.MouseEvent evt)`
`void` | `mousePressed(java.awt.event.MouseEvent evt)`
`void` | `mouseReleased(java.awt.event.MouseEvent evt)`
`protected void` | `populate()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Handles any property links on this component from the source component.
`void` | `setAlwaysShowControls(boolean alwaysShowControls)`
`void` | `setObject(java.lang.Object bean)`
`static Frame` | `showPropertySheet(java.lang.Object bean)` Brings up a PropertySheet on the specified bean.

Methods inherited from class com.sas.awt.ScrollPane
`getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getPreferredSize, initialize, processContainerEvent, setDefaultHeight, setDefaultValues, setDefaultWidth`

Methods inherited from class com.sas.awt.ScrollPaneContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ScrollPaneVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### editorAssoc

    protected java.util.Hashtable editorAssoc

### labelAssoc

    protected java.util.Hashtable labelAssoc

### bean

    protected java.lang.Object bean

### hostsList

    protected java.util.Vector hostsList

### panel

    protected Panel panel

### alwaysShowControls

    protected boolean alwaysShowControls

### inPropertyChange

    protected boolean inPropertyChange

Constructor Detail

### PropertySheet

    public PropertySheet()

Method Detail

### getPropertySheet

    public static Frame getPropertySheet(java.lang.Object bean)

  Creates a PropertySheet for the specified bean.

### showPropertySheet

    public static Frame showPropertySheet(java.lang.Object bean)

  Brings up a PropertySheet on the specified bean.

### getObject

    public java.lang.Object getObject()

### setObject

    public void setObject(java.lang.Object bean)

### getAlwaysShowControls

    public boolean getAlwaysShowControls()

### setAlwaysShowControls

    public void setAlwaysShowControls(boolean alwaysShowControls)

### populate

    protected void populate()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Description copied from class: `ScrollPaneVisualComponent`
  Handles any property links on this component from the source component.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `ScrollPaneVisualComponent`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent evt)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.